// dashboard/order
import request from "@/utils/request";
//订单列表
export function getOrderList(data) {
  return request({
    url: "dashboard/order",
    method: "post",
    data
  });
}
//下单
export function shopping(data) {
  return request({
    url: "dashboard/delivery",
    method: "post",
    data
  });
}
//商品列表
export function getGoodsList(data) {
  return request({
    url: "dashboard/sku",
    method: "get",
    data
  });
}
//优惠券列表
export function getTicketList(data) {
  return request({
    url: "dashboard/ticket",
    method: "post",
    data
  });
}
//发放优惠券
export function generate_ticket(data) {
  return request({
    url: "dashboard/generate_ticket",
    method: "post",
    data
  });
}
//查询订单
export function order_query(data) {
  return request({
    url: "dashboard/order_query",
    method: "post",
    data
  });
}

//导出订单
export function export_order(data) {
  return request({
    url: "dashboard/order_export",
    method: "post",
    data,
    responseType: "arraybuffer"
  });
}

//导出商品
export function export_goods(data) {
  return request({
    url: "dashboard/statistics_export",
    method: "post",
    data,
    responseType: "arraybuffer"
  });
}

//订单统计
export function statistics_shopday(data) {
  return request({
    url: "dashboard/statistics/shopday",
    method: "post",
    data
  });
}

//查询优惠券
export function query_by_phone(data) {
  return request({
    url: "dashboard/ticket/query_by_phone",
    method: "post",
    data
  });
}

// 退款退券
export function refund(data) {
  return request({
    url: "dashboard/order/refunding",
    method: "post",
    data
  });
}

// 删除商品
export function delSku(data) {
  return request({
    url: "dashboard/sku",
    method: "delete",
    data
  });
}

//修改商品
export function editSku(data) {
  return request({
    url: "/dashboard/sku",
    method: "put",
    data
  });
}

// 发送短信
export function sendmsg(data) {
  return request({
    url: "/dashboard/sendmsg",
    method: "post",
    data
  });
}

//优惠券领取统计
export function getStatistics(data) {
  return request({
    url: "/dashboard/ticket/statistics",
    method: "post",
    data
  });
}

//优惠券使用统计
export function statisticsbytitle(data) {
  return request({
    url: "/dashboard/ticket/statistics/bytitle",
    method: "post",
    data
  });
}

//流量入口列表
export function inviteStatistics() {
  return request({
    url: "/dashboard/invite/statistics",
    method: "get"
  });
}

//流量入口统计
export function inviteStatisticsByinvitor(data) {
  return request({
    url: "/dashboard/invite/statistics/byinvitor",
    method: "post",
    data
  });
}

//生成二维码
export function qrcodeGenerate(data) {
  return request({
    url: "/qrcode/generate",
    method: "post",
    data
  });
}

//下载二维码
export function qrcodeDownload(data) {
  return request({
    url: "/qrcode/download",
    method: "post",
    data,
    responseType: "arraybuffer"
  });
}

// 查看支付状态
export function orderWxverify(data) {
  return request({
    url: "/dashboard/order/wxverify",
    method: "post",
    data
  });
}
